# FederateHandleSet Class Reference

`#include <GAV.hh>`

List of all members.

## Public Member Functions
| FederateHandleSet (ULong size)
virtual | ~FederateHandleSet ()
virtual ULong | size () const
virtual FederateHandle | getHandle (ULong i) const throw (ArrayIndexOutOfBounds)
virtual void | add (FederateHandle h) throw (ValueCountExceeded)
virtual void | remove (FederateHandle h) throw (ArrayIndexOutOfBounds)
virtual void | empty ()
virtual bool | isMember (FederateHandle h) const
## Protected Attributes
std::list< FederateHandle > | _set

## Detailed Description

Definition at line 56 of file GAV.hh.

## Constructor & Destructor Documentation

FederateHandleSet | ( | ULong | size | ) |

~FederateHandleSet | ( |  | ) | `[virtual]`

Definition at line 311 of file GAV.cc.

References FederateHandleSet::empty().

Here is the call graph for this function:

## Member Function Documentation

ULong size | ( |  | ) | const`[inline, virtual]`

Definition at line 318 of file GAV.cc.

References FederateHandleSet::_set.

FederateHandle getHandle | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 325 of file GAV.cc.

References FederateHandleSet::_set.

void add | ( | FederateHandle | h | ) | throw (ValueCountExceeded)`[virtual]`

Definition at line 340 of file GAV.cc.

References FederateHandleSet::_set.

void remove | ( | FederateHandle | h | ) | throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 348 of file GAV.cc.

References FederateHandleSet::_set, and FederateHandleSet::isMember().

Here is the call graph for this function:

void empty | ( |  | ) | `[virtual]`

Definition at line 359 of file GAV.cc.

References FederateHandleSet::_set.

Referenced by FederateHandleSet::~FederateHandleSet().

bool isMember | ( | FederateHandle | h | ) | const`[virtual]`

Definition at line 366 of file GAV.cc.

References FederateHandleSet::_set.

Referenced by FederateHandleSet::remove().

## Member Data Documentation

std::list<FederateHandle> _set`[protected]`

Definition at line 78 of file GAV.hh.

Referenced by FederateHandleSet::add(), FederateHandleSet::empty(), FederateHandleSet::getHandle(), FederateHandleSet::isMember(), FederateHandleSet::remove(), and FederateHandleSet::size().

The documentation for this class was generated from the following files:

- GAV.hh
- GAV.cc